Subject: [dhcwg] Re: Issue 34: Use of DNAv4 with manually configured IP addresses

From: Bernard Aboba <[email-masked]>
Date: Fri, 14 Oct 2005 14:37:35 -0700 (PDT)

With respect to use of DNAv4 with manually configured IP addresses, I have
a question.  What if an address is manually configured on a network with a
DHCP server, but at the time it was assigned, no address conflict existed?
DAD completes, and the manually assigned address is used.  Then the host
comes back to the network and uses DNAv4 to reconfirm the configuration. 
However, meanwhile the DHCP server has assigned the address, so a conflict
now exists. 

A similar situation occurs with a NAT/DHCP server with no stable storage,
which could allocate the same address after rebooting/crashing. 

Do you think this is a problem and if so, is it handled by ongoing
conflict detection?  

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg